Bug 130559 - Clearing clipboard history from Klipper cause Kicker hangup (Qt related)
Clearing clipboard history from Klipper cause Kicker hangup (Qt related)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-21 16:52 EDT by Marcin Garski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-06 05:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcin Garski 2004-08-21 16:52:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
When I try to "Clear Clipboard History" from Klipper, Kicker hangup
and this messages appear on console:
QClipboard::setData: Cannot set X11 selection owner for PRIMARY
QClipboard::setData: Cannot set X11 selection owner for CLIPBOARD
QClipboard: cannot transfer data, no data available
QClipboard: cannot transfer data, no data available
QClipboard: cannot transfer data, no data available
QClipboard: cannot transfer data, no data available

If I copy some text using Ctrl+c (sometimes I have to copy it more
times) Kicker return to normal working state. Also during Kicker
hangup if I i.e. clik on Mozilla icon (Mozilla icon is of course on
Kicker) nothing happen but after unblocking Kicker (Ctrl+c) Mozilla
starts.

If I "Clear Clipboard History" one more time, the same things happen
(messages and hangup).

Version-Release number of selected component (if applicable):
qt-3.3.3-0.1

How reproducible:
Always

Steps to Reproduce:
1. In Klipper "Clear Clipboard History"
2. Kicker will hangup
3. Copy some text using Ctrl+c
4. For better results copy it five times
5. Kicker should unblock
    

Expected Results:  After "Clear Clipboard History" Kicker shouldn't hangup

Additional info:
Comment 1 Ngo Than 2004-09-06 04:23:53 EDT
it seems a bug in klipper. Does this problem appear before you have
updated to new qt-3.3.3?
Comment 2 Ngo Than 2004-09-06 05:29:32 EDT
i can reproduce this bug with qt-3.3.3 too. Esben Mose Hansen has made
a patch in klipper (kdebase), which fixes this problem. I already add
this patch in kdebase-3.3.0 in rawhide.

i will make kdebase update for fc2 soon. thanks for your report

Note You need to log in before you can comment on or make changes to this bug.